module.exports = function(bot, api) {
	api.registerCommand('announcevoice', (args, message) => {
		let channel = bot.voice.connections.first().channel;
		if(args.length>3) {
			return api.respond(message, "You tried to change my voice with too many arguments.");
		}
		if(api.ttsEngines[args[1]]) {
			api.announcementEngine=api.ttsEngines[args[1]];
			if(api.announcementEngine.validateVoice(args[2])) {
				api.announcementVoice=args[2];
			api.respond(message, "My new voice is "+api.announcementVoice+" from "+api.announcementEngine.longName);
		} else {
			api.announcementVoice=api.announcementEngine.getDefaultVoice();
			api.respond(message, "Your voice name was invalid, so I switched to the default voice ("+api.announcementVoice+") for "+api.announcementEngine.longName+" instead.");
		}
		}
	});
}